v1.0.0
OpenAPI 3.1.0
Create a reporting webhook
Client Libraries
US region
Create a new webhook configuration.
The webhook URL.
Specifies the types of events you want to report to your webhook. See our reporting webhooks reference for more information about event types and the information they return.
The name of your webhook.
Set to true to quit sending events to the webhook URL. Set to false to enable the webhook.
Set to false to send unique open and click events to the webhook. Set to true to send all events.
Set to true to include the message body in _sent events.
The request was malformed.
Your request is over the 10-per-second limit.
curl https://api.customer.io/v1/reporting_webhooks \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "my cool webhook",
"endpoint": "https://example.com/webhook",
"disabled": false,
"full_resolution": true,
"with_content": false,
"events": [
"email_failed",
"webhook_failed"
]
}'
{
"name": "my cool webhook",
"id": 4,
"type": "webhook",
"endpoint": "https://example.com/webhook",
"disabled": false,
"full_resolution": true,
"with_content": false,
"events": [
"email_failed",
"webhook_failed"
]
}Returns your webhook configuration and the ID of the webhook.